Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -475,5 +475,5 @@
             try:
                 self._onEVT_FUNC_PROPERTY()
-            except Exception, exc:
+            except (Exception, exc):
                 wx.PostEvent(self.parent,
                              StatusEvent(status="Plotting Error: %s" % str(exc), info="error"))
@@ -492,5 +492,5 @@
                     # MAC: forcing to plot 2D avg
                     self.canvas._onDrawIdle()
-            except Exception, exc:
+            except (Exception, exc):
                 wx.PostEvent(self.parent, StatusEvent(status=\
                     "Plotting Error: %s" % str(exc), info="error"))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -232,5 +232,5 @@
             msg = "Phi left and phi right are different"
             msg += " %f, %f" % (self.left_line.phi, self.right_line.phi)
-            raise ValueError, msg
+            raise (ValueError, msg)
         params["Phi [deg]"] = self.main_line.theta * 180 / numpy.pi
         params["Delta_Phi [deg]"] = numpy.fabs(self.left_line.phi * 180 / numpy.pi)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/binder.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -187,6 +187,6 @@
         # Check that the trigger is valid
         if trigger not in self._actions:
-            raise ValueError, "%s invalid --- valid triggers are %s" \
-                % (trigger, ", ".join(self.events))
+            raise (ValueError, "%s invalid --- valid triggers are %s" \
+                % (trigger, ", ".join(self.events)))
         # Register the trigger callback
         self._actions[trigger][artist] = action
@@ -203,5 +203,5 @@
         """
         if action not in self.events:
-            raise ValueError, "Trigger expects " + ", ".join(self.events)
+            raise (ValueError, "Trigger expects " + ", ".join(self.events))
         # Tag the event with modifiers
         for mod in ('alt', 'control', 'shift', 'meta'):
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -136,5 +136,5 @@
             if new_slab is None:
                 msg = "post data:cannot average , averager is empty"
-                raise ValueError, msg
+                raise (ValueError, msg)
             self.averager = new_slab
         if self.direction == "X":
@@ -152,5 +152,5 @@
         else:
             msg = "post data:no Box Average direction was supplied"
-            raise ValueError, msg
+            raise (ValueError, msg)
         # # Average data2D given Qx or Qy
         box = self.averager(x_min=x_min, x_max=x_max, y_min=y_min, y_max=y_max,
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision 2d9526dfda3bdfe3c9159ab7d9db8399b4a00848)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/plotting.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -200,5 +200,5 @@
 
         msg = "1D Panel of group ID %s could not be created" % str(group_id)
-        raise ValueError, msg
+        raise (ValueError, msg)
 
     def create_2d_panel(self, data, group_id):
@@ -218,5 +218,5 @@
             return new_panel
         msg = "2D Panel of group ID %s could not be created" % str(group_id)
-        raise ValueError, msg
+        raise (ValueError, msg)
 
     def update_panel(self, data, panel):
@@ -238,5 +238,5 @@
             msg += " to panel %s\n" % str(panel.window_caption)
             msg += "Please edit %s's units, labels" % str(data.name)
-            raise ValueError, msg
+            raise (ValueError, msg)
         else:
             if panel.group_id not in data.list_group_id:
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
@@ -175,5 +175,5 @@
             msg += "different %f, %f" % (self.left_line.phi,
                                          self.right_line.phi)
-            raise ValueError, msg
+            raise (ValueError, msg)
         params["Phi"] = self.main_line.theta
         params["Delta_Phi"] = math.fabs(self.left_line.phi)
